Subject: [IPP] Using the IPP System Service Get-Printers operation to find the resource path of the default printer

From: "Kennedy, Smith \(Wireless & IPP Standards\) via ipp" <[email-masked]>
Date: Thu, 29 Oct 2020 20:11:54 +0000

Hi there,

Some time ago, we observed in the IPP WG that there was no well defined way for an IPP Client to acquire the resource path to the "default" Printer object at a given host, equivalent to consulting the "rp" DNS-SD TXT key. We wanted there to be a purely IPP way to do this, to handle the use case where, for instance, the End User only supplies a DNS hostname or raw IP address.

There is a colloquial method a Client can employ, where the Client sends a Get-Printer-Attributes to the "/" resource path with "requested-attributes" supplying 'printer-uri-supported'. But this behavior isn't normalized by being defined in any PWG specification, at least not that I'm aware of.

Dialogs on this topic when I was authoring IPP Implementor's Guide v2 seemed to indicate that we needed to wait for the new Get-Printers operation to be defined in System Service (PWG 5100.22). But looking at that, I think we (or I) must have dropped the ball on making sure this use case was supported by that operation.

Could we add the colloquial method described above to IPP Driverless Printing Extensions v2.0 (NODRIVER)? Or what to do?

Thanks for any thoughts!

Smith

/**
    Smith Kennedy
    HP Inc.
*/

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp